gbmCMA-methods {CMA} | R Documentation

## Tree-based Gradient Boosting

### Description

Roughly speaking, Boosting combines 'weak learners' in a weighted manner in a stronger ensemble. This method calls the function `gbm.fit` from the package `gbm`. The 'weak learners' are simple trees that need only very few splits (default: 1).

### Methods

X = "matrix", y = "numeric", f = "missing"
  signature 1
X = "matrix", y = "factor", f = "missing"
  signature 2
X = "data.frame", y = "missing", f = "formula"
  signature 3
X = "ExpressionSet", y = "character", f = "missing"
  signature 4

For further argument and output information, consult `gbmCMA.`

[Package CMA version 1.2.0 Index]